[Buildroot] [git commit master] gcc: do not pass --with-pkgversion to gcc < 4.3

Thomas Petazzoni thomas.petazzoni at free-electrons.com
Tue Dec 15 11:03:05 UTC 2009


commit: http://git.buildroot.net/buildroot/commit/?id=962ea5b29b0ce1966359688f2dffc173073575c8
branch: http://git.buildroot.net/buildroot/commit/?id=refs/heads/master

Commit 09c181f2891276c458de327d241151bab38bde0f added new options
passed to gcc configure to set --with-pkgversion and --with-bugurl, to
gcc >= gcc 4.3. To check this, it was checking that the GCC_VERSION
string does not contain 4.2.

Unfortunately, the test is bogus. It does a findstring on x4.2. (with
a final dot) but compares the result with x4.2 (without the final
dot).

The result is that even with 4.2 versions, the test was true, leading
--with-pkgversion and --with-bugurl being passed to gcc's configure
script.

Signed-off-by: Thomas Petazzoni <thomas.petazzoni at free-electrons.com>
---
 toolchain/gcc/gcc-uclibc-4.x.mk |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/toolchain/gcc/gcc-uclibc-4.x.mk b/toolchain/gcc/gcc-uclibc-4.x.mk
index 32f7a1e..6f65cb3 100644
--- a/toolchain/gcc/gcc-uclibc-4.x.mk
+++ b/toolchain/gcc/gcc-uclibc-4.x.mk
@@ -45,7 +45,7 @@ GCC_NO_MPFR:=y
 endif
 
 # Branding works on >= 4.3
-ifneq ($(findstring x4.2.,x$(GCC_VERSION)),x4.2)
+ifneq ($(findstring x4.2.,x$(GCC_VERSION)),x4.2.)
 BUILDROOT_VERSION_STRING=$(call qstrip,$(BR2_VERSION))
 EXTRA_GCC_CONFIG_OPTIONS+=--with-pkgversion="Buildroot $(BUILDROOT_VERSION_STRING)" \
 	--with-bugurl="http://bugs.buildroot.net/"
-- 
1.6.3.3



More information about the buildroot mailing list